Subject: 23.1.90; value of CPP not used in configure script

From: Peter Dyballa <[email-masked]>
Date: Fri, 19 Feb 2010 12:34:40 +0100

Hello!

Trying to use the LLVM variant of GCC like this:

	env PATH=/Developer/usr/bin:/sw/bin:$PATH ./configure --without-sound  
--without-dbus --without-pop --with-ns --disable-ns-self-contained --x- 
libraries=/usr/X11/libs --x-includes=/usr/X11/include/X11 --enable- 
locallisppath=/Library/Application\ Support/Emacs/calendar23:/Library/ 
Application\ Support/Emacs CC=llvm-gcc-4.2 CPP=llvm-cpp-4.2

or like this

	env PATH=/Developer/usr/bin:/sw/bin:$PATH CC=llvm-gcc-4.2 CPP=llvm- 
cpp-4.2 ./configure --without-sound --without-dbus --without-pop -- 
with-ns --disable-ns-self-contained --x-libraries=/usr/X11/libs --x- 
includes=/usr/X11/include/X11 --enable-locallisppath=/Library/ 
Application\ Support/Emacs/calendar23:/Library/Application\ Support/ 
Emacs

configure just finds:

	checking build system type... powerpc-apple-darwin9.8.0
	checking host system type... powerpc-apple-darwin9.8.0
	checking for gcc... llvm-gcc-4.2
	checking for C compiler default output file name... a.out
	checking whether the C compiler works... yes
	checking whether we are cross compiling... no
	checking for suffix of executables...
	checking for suffix of object files... o
	checking whether we are using the GNU C compiler... yes
	checking whether llvm-gcc-4.2 accepts -g... yes
	checking for llvm-gcc-4.2 option to accept ISO C89... none needed
	checking how to run the C preprocessor... llvm-gcc-4.2 -E -no-cpp- 
precomp -I/sw/include -L/sw/lib

or:

	+ CC='llvm-gcc-4.2 -I/sw/include -L/sw/lib'
	+ test xyes = x
	+ ac_ext=c
	+ ac_cpp='$CPP $CPPFLAGS'
	+ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
	+ ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS  
conftest.$ac_ext $LIBS >&5'
	+ ac_compiler_gnu=yes
	+ printf '%s\n' 'configure:4004: checking how to run the C  
preprocessor'
	+ printf %s 'checking how to run the C preprocessor... '
	checking how to run the C preprocessor... + test -n 'llvm-gcc-4.2 -E - 
no-cpp-precomp -I/sw/include -L/sw/lib'
	+ test -d 'llvm-gcc-4.2 -E -no-cpp-precomp -I/sw/include -L/sw/lib'
	+ test -z 'llvm-gcc-4.2 -E -no-cpp-precomp -I/sw/include -L/sw/lib'
	+ ac_cv_prog_CPP='llvm-gcc-4.2 -E -no-cpp-precomp -I/sw/include -L/sw/ 
lib'
	+ printf '%s\n' 'configure:4122: result: llvm-gcc-4.2 -E -no-cpp- 
precomp -I/sw/include -L/sw/lib'
	+ printf '%s\n' 'llvm-gcc-4.2 -E -no-cpp-precomp -I/sw/include -L/sw/ 
lib'
	llvm-gcc-4.2 -E -no-cpp-precomp -I/sw/include -L/sw/lib
	+ ac_preproc_ok=false
	+ for ac_c_preproc_warn_flag in ''\'''\''' yes
	+ cat
	+ cat confdefs.h
	+ cat
	+ ac_try='$CPP $CPPFLAGS conftest.c'
	+ case "(($ac_try" in
	+ ac_try_echo='$CPP $CPPFLAGS conftest.c'
	+ eval 'ac_try_echo="$as_me:4151: $CPP $CPPFLAGS conftest.c"'
	++ ac_try_echo='configure:4151: llvm-gcc-4.2 -E -no-cpp-precomp -I/sw/ 
include -L/sw/lib  conftest.c'
	+ printf '%s\n' 'configure:4151: llvm-gcc-4.2 -E -no-cpp-precomp -I/ 
sw/include -L/sw/lib  conftest.c'
	+ ac_status=0
	+ grep -v '^ *+' conftest.er1
	+ rm -f conftest.er1
	+ cat conftest.err
	+ printf '%s\n' 'configure:4158: $? = 0'
	+ exit 0
	+ test -z ''
	+ :
	+ rm -f conftest.err conftest.c
	+ cat
	+ cat confdefs.h
	+ cat
	+ ac_try='$CPP $CPPFLAGS conftest.c'
	+ case "(($ac_try" in
	+ ac_try_echo='$CPP $CPPFLAGS conftest.c'
	+ eval 'ac_try_echo="$as_me:4189: $CPP $CPPFLAGS conftest.c"'
	++ ac_try_echo='configure:4189: llvm-gcc-4.2 -E -no-cpp-precomp -I/sw/ 
include -L/sw/lib  conftest.c'
	+ printf '%s\n' 'configure:4189: llvm-gcc-4.2 -E -no-cpp-precomp -I/ 
sw/include -L/sw/lib  conftest.c'
	+ ac_status=1
	+ grep -v '^ *+' conftest.er1
	+ rm -f conftest.er1
	+ cat conftest.err
	+ printf '%s\n' 'configure:4196: $? = 1'
	+ exit 1
	+ printf '%s\n' 'configure: failed program was:'
	+ sed 's/^/| /' conftest.c
	+ ac_preproc_ok=:
	+ break
	+ rm -f conftest.err conftest.c
	+ :
	+ :
	+ ac_ext=c
	+ ac_cpp='$CPP $CPPFLAGS'
	+ ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
	+ ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS  
conftest.$ac_ext $LIBS >&5'
	+ ac_compiler_gnu=yes

There is also the question whether the option "-no-cpp-precomp" really  
is necessary on Mac OS X 10.5 or 10.6. The version of GCC 4.2 LLVM  
uses does not recognise this option:

	powerpc-apple-darwin9-llvm-gcc-4.2: unrecognized option '-no-cpp- 
precomp'

In GNU Emacs 23.1.90.1 (powerpc-apple-darwin9.8.0, X toolkit, Xaw3d  
scroll bars)
  of 2010-02-18 on Latsche.local
Windowing system distributor `The X.Org Foundation', version  
11.0.10799901
configured using `configure  '--without-sound' '--without-pop' '-- 
without-dbus' '--without-gconf' '--with-x-toolkit=athena' '--enable- 
locallisppath=/Library/Application Support/Emacs/calendar23:/Library/ 
Application Support/Emacs' 'CFLAGS=-g -Wno-pointer-sign -H -pipe -fPIC  
-Os' 'CC=gcc-4.2''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: de_DE.UTF-8
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default enable-multibyte-characters: t

Major mode: Calendar

Minor modes in effect:
   shell-dirtrack-mode: t
   diff-auto-refine-mode: t
   show-paren-mode: t
   display-time-mode: t
   desktop-save-mode: t
   delete-selection-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

--
Greetings

   Pete

If it should exist, it doesn't.
				– Arnold's First Law of Documentation